singleton Material(karoq_color)
{
	mapTo = "karoq_color";
	diffuseMap[2] = "vehicles/karoq/karoq_c.dds";
    diffuseMap[1] = "vehicles/karoq/karoq_d.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
	doubleSided = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
}; 

singleton Material(karoq_glass)
{
   mapTo = "karoq_glass";
   diffuseColor[0] = "0.4 0.4 0.4 1";
   specularPower[0] = "300";
   translucentBlendOp = "Add";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   doubleSided = "1";
   castShadows = "0";
   translucent = "1";
   translucentZWrite = "1";
   alphaTest = "1";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(karoq_glass_dmg)
{
    mapTo = "karoq_glass_dmg";
    diffuseMap[0] = "vehicles/karoq/razbitoe-steklo-25.png";
    opacityMap[0] = "vehicles/fullsize/fullsize_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/karoq/razbitoe-steklo-25.png";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(karoq_windshield_dmg)
{
    mapTo = "karoq_windshield_dmg";
    diffuseMap[0] = "vehicles/karoq/razbitoe-steklo-25.png";
    opacityMap[0] = "vehicles/fullsize/fullsize_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/karoq/razbitoe-steklo-25.png";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(karoq_color_2)
{
mapTo = "karoq_color_2";
materialTag0 = "karoq_color_2"; materialTag1 = "vehicle";
colorMap[0] = "vehicles/karoq/karoq_color_2.png";
pixelSpecular[0] = "1";
doubleSided = "1";
diffuseColor[0] = "0.988235 0.996078 0.988235 0.396";
instanceDiffuse[0] = 0;
dynamicCubemap = false;
};

singleton Material(karoq_color_2_on)
{
   mapTo = "karoq_color_2_on";
   diffuseMap[0] = "vehicles/karoq/karoq_color_2.png";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "1";
   translucentZWrite = "0";
   glow[0] = "1";
   emissive[0] = "1";
};

singleton Material(white_on)
{
   mapTo = "white_on";
   diffuseMap[0] = "vehicles/karoq/white.png";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "1";
   translucentZWrite = "0";
   glow[0] = "1";
   emissive[0] = "1";
};

singleton Material(orange_on)
{
   mapTo = "orange_on";
   diffuseMap[0] = "vehicles/karoq/orange.png";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "1";
   translucentZWrite = "0";
   glow[0] = "1";
   emissive[0] = "1";
};

singleton Material(karoq_int_A)
{
mapTo = "karoq_int_A";
materialTag0 = "karoq_int_A"; materialTag1 = "vehicle";
colorMap[0] = "vehicles/karoq/karoq_int_A.png";
pixelSpecular[0] = "1";
doubleSided = "1";
diffuseColor[0] = "0.988235 0.996078 0.988235 0.396";
instanceDiffuse[0] = 0;
dynamicCubemap = false;
};

singleton Material(karoq_int_B)
{
mapTo = "karoq_int_B";
materialTag0 = "karoq_int_B"; materialTag1 = "vehicle";
colorMap[0] = "vehicles/karoq/karoq_int_B.png";
pixelSpecular[0] = "1";
doubleSided = "1";
diffuseColor[0] = "0.988235 0.996078 0.988235 0.396";
instanceDiffuse[0] = 0;
dynamicCubemap = false;
};

singleton Material(karoq_int_D)
{
mapTo = "karoq_int_D";
materialTag0 = "karoq_int_D"; materialTag1 = "vehicle";
colorMap[0] = "vehicles/karoq/karoq_int_D.png";
pixelSpecular[0] = "1";
doubleSided = "1";
diffuseColor[0] = "0.988235 0.996078 0.988235 0.396";
instanceDiffuse[0] = 0;
dynamicCubemap = false;
};

singleton Material(karoq_int_Display)
{
mapTo = "karoq_int_Display";
materialTag0 = "karoq_int_Display"; materialTag1 = "vehicle";
colorMap[0] = "vehicles/karoq/karoq_int_Display.png";
pixelSpecular[0] = "1";
doubleSided = "1";
diffuseColor[0] = "0.988235 0.996078 0.988235 0.396";
instanceDiffuse[0] = 0;
dynamicCubemap = false;
};

singleton Material(karoq_int_C)
{
mapTo = "karoq_int_C";
materialTag0 = "karoq_int_C"; materialTag1 = "vehicle";
colorMap[0] = "vehicles/karoq/karoq_int_C.png";
pixelSpecular[0] = "1";
doubleSided = "1";
diffuseColor[0] = "0.988235 0.996078 0.988235 0.396";
instanceDiffuse[0] = 0;
dynamicCubemap = false;
};

singleton Material(ChromeSmoothWheels)
{
mapTo = "ChromeSmoothWheels";
materialTag0 = "ChromeSmoothWheels"; materialTag1 = "vehicle";
colorMap[0] = "vehicles/karoq/silver.png";
pixelSpecular[0] = "1";
doubleSided = "1";
diffuseColor[0] = "0.988235 0.996078 0.988235 0.396";
instanceDiffuse[0] = 0;
dynamicCubemap = true;
};